#ifndef __MD5_H
#define __MD5_H
#include <stdint.h>
typedef struct {
  uint32_t state[4];
  uint32_t count[2];
  uint8_t buffer[64];
} MD5_CTX;
void MD5_Init(MD5_CTX *ctx);
void MD5_Update(MD5_CTX *ctx, const uint8_t *input, uint32_t inputLen);
void MD5_Final(uint8_t *digest, MD5_CTX *ctx);
#endif /* __MD5_H */